// Copyright (C) 1998-1999 Scott Cutler
// Please see the "readme.txt" file for license details

class Tex {
public:
	Tex(const FxU32, const GrTexInfo &);
	~Tex();

	const LPDIRECT3DTEXTURE2 tex() { return _tex; }
	const FxU32 base() const { return _base; }
	const FxU32 width() const { return _texwidth; }
	const FxU32 height() const { return _texheight; }
	const GrAspectRatio_t aspect() const { return _aspect; }

	const FxU32 paletted() const { return _paletted; }

	void setpalette();

private:
	FxU32 _base, _texwidth, _texheight, _paletted;
	int _palnum;
	char *_data;
	LPDIRECTDRAWSURFACE4 _texDDS;
	LPDIRECT3DTEXTURE2 _tex;
	GrAspectRatio_t _aspect;
};

FxU32 intersect(const Tex &, const Tex &);