// Copyright (C) 1998-1999 Scott Cutler
// Please see the "readme.txt" file for license details

#include "include.h"

ofstream of;

__int64 prof_temp;
__int64 func_time;

HRESULT hr;
HINSTANCE _hInstance;

GrColorFormat_t			_color_format;

FxFloat					*smul;
FxFloat					*tmul;
FxU32					*src_blend_lut;
FxU32					*blend_caps_lut;
FxU32					*dst_blend_lut;
FxU32					*atest_lut;
FxU32					*atest_caps_lut;

D3DMATRIX				_idenMat;

D3DRECT					_D3DViewportRect;

GrErrorCallbackFnc_t	_errorFnc = 0;

TexList					*_texlist;

ExeBuffer				*_exebuffer;

D3DCOLOR (*getcolor)(const GrVertex &);
void (*vconv)(const GrVertex &, D3DTLVERTEX &);
void (*(vconv_lut[DEPTH_MAX][2][TEXTURE_MODE_MAX]))(const GrVertex &, D3DTLVERTEX &);

int depthbuf_lut[5];

FxU16 yiq_lut[256];

sVoodoo					Voodoo;
sDX						DX;
sSettings				Settings;

HFONT fontInUse;
